﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

using System.Data;
using CMS.SiteProvider;
using CMS.GlobalHelper;

/// <summary>
/// Summary description for CMSWebService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
// [System.Web.Script.Services.ScriptService]
public class CMSWebService : System.Web.Services.WebService
{

    public CMSWebService()
    {
        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }


    [WebMethod]
    /// <summary>
    /// Returns users who match the specified search expression.
    /// </summary>
    /// <param name="searchExpression">Search expression (document name or its part.)</param>
    public string GetUsers(string searchExpression)
    {
        return ServiceHelper.GetUsers(searchExpression);
    }


    [WebMethod]
    /// <summary>
    /// Returns documents which match the specified search expression.
    /// </summary>
    /// <param name="searchExpression">Search expression (document name or its part.)</param>
    public string GetDocuments(string searchExpression)
    {
        return ServiceHelper.GetDocuments(searchExpression);
    }
}

