﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightDemo
{
    /// <summary>
    /// Class providing user base information.
    /// </summary>
    public class UserInfo
    {
        private string mFullName = "";
        private string mEmail = "";


        /// <summary>
        /// User full name.
        /// </summary>
        public string FullName
        {
            get
            {
                return mFullName;
            }
            set
            {
                mFullName = value;
            }
        }


        /// <summary>
        /// User e-mail address.
        /// </summary>
        public string Email
        {
            get
            {
                return mEmail;
            }
            set
            {
                mEmail = value;
            }
        }
    }
}
